/*
	BeFree.h
	
	(c) 1996 Tim Stack
	
*/

#ifndef BEFREE_H
#define BEFREE_H

#ifndef _APPLICATION_H
#include <Application.h>
#endif

#ifndef _LIST_H
#include <support/List.h>
#endif

#ifndef _VOLUME_H
#include <support/Volume.h>
#endif

#include <interface/StatusBar.h>

#define FONT "Erich"
#define FONTSIZE 12
#define XGUTTER 1
#define YGUTTER 30
#define INNERGUTTER 10

class BeFreeApplication : public BApplication {

	public:
					BeFreeApplication();
virtual	void	AboutRequested();
virtual	void	VolumeMounted( long volume );
virtual	void	VolumeUnmounted( long volume );
virtual	void	Pulse();
			void	ScanVols();
			void	FreeVols();
			BList vols;
			BWindow *win;
			float height;
};

#endif
